Page MenuHomePhabricator

Introduction to Wikimedia Phabricator (project management tool)
Closed, ResolvedPublic

Description

If there is interest, I am happy to offer an overview of Wikimedia Phabricator: What it is, what it can do, and how it can help you to find interesting stuff and projects to work on, to improve the code in our projects, to coordinate and organize stuff you work on, and to collaborate with others in software projects.

Come and see and ask any questions about Phabricator! :)

General information (if you want to take a look before or in the session): mw:Phabricator/Help and mw:Phabricator/Project management.

Program: https://www.mediawiki.org/wiki/Wikimedia_Hackathon_2018/Program

Event Timeline

Aklapper triaged this task as High priority.May 3 2018, 4:06 PM
Aklapper created this task.
Aklapper moved this task from Backlog to May on the Developer-Advocacy (Apr-Jun-2018) board.
Aklapper moved this task from Backlog to Session on the Wikimedia-Hackathon-2018 board.

I hope to start with these slides at https://commons.wikimedia.org/wiki/File:Introduction-to-Phabricator-WikiCon-2016.pdf but need to check again how much they are up-to-date. Afterwards, answering and discussing questions.

PDF slides checked and updated.

Lahi added a subscriber: Lahi.May 17 2018, 2:44 PM
Aklapper closed this task as Resolved.May 18 2018, 3:42 PM

~12 attendees; ~25 minutes of presentation; ~15 minutes of interesting questions. Thanks everyone! :)

Vvjjkkii renamed this task from Introduction to Wikimedia Phabricator (project management tool) to 5odaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Aklapper as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 5odaaaaaaa to Introduction to Wikimedia Phabricator (project management tool).Jul 2 2018, 6:28 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Aklapper.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.